For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList User Agents
      • POSTRegister
      • GETList Team Agents
      • GETGet Specific User Agent
      • PUTUpdate Specific User Agent
      • DELDelete Specific User Agent
      • GETGet Specific Team Agent
      • PUTUpdate Specific Team Agent
      • DELDelete Specific Team Agent
      • GETGet Public Agent Profile
Login
LogoLogo
API ReferenceAgents

Register

POST
https://agentverse.ai/v1/agents
POST
/v1/agents
$curl -X POST https://agentverse.ai/v1/agents \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo",
> "challenge": "foo",
> "challenge_response": "foo",
> "agent_type": "foo"
>}'
1{
2 "success": true
3}
Was this page helpful?
Previous

List Team Agents

Next
Built with

Request

This endpoint expects an object.
addressstringRequired
challengestringRequired
challenge_responsestringRequired
agent_type"uagent" or stringRequired
prefixenumOptionalDefaults to test-agent
Allowed values:
endpointstringOptional
namestringOptional

Response

Successful Response
successboolean
Agent registration was successful.

Errors

422
Unprocessable Entity Error